.c-select {
    $c-select-width: 370px;
    $c-select-height: 50px;
    width: $c-select-width;
    height: $c-select-height;
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        $c-select-icon-height: 37px;
        height: $c-select-height;
        width: $c-select-icon-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c2-select {
    $c-select-width: 633px;
    $c-select-height: 50px;
    width: $c-select-width;
    height: $c-select-height;
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        $c-select-icon-height: 37px;
        height: $c-select-height;
        width: $c-select-icon-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c3-select {
    $c-select-width: 234px;
    $c-select-height: 50px;
    width: $c-select-width;
    height: $c-select-height;
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        $c-select-icon-height: 37px;
        height: $c-select-height;
        width: $c-select-icon-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c4-select {
    $c-select-height: 40px;
    height: $c-select-height;
    color: #5E5E5E;
    font-size: 16px;
    position: relative;
    font-weight: lighter;

    &-icon {
        $c-select-icon-width: 29px;
        width: $c-select-icon-width;
        height: $c-select-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c5-select {
    $c-select-width: 233px;
    $c-select-height: 40px;
    $c-select-icon-width: 29px;

    width: $c-select-width;
    height: $c-select-height;
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        height: $c-select-height;
        width: $c-select-icon-width;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c6-select {
    $c-select-width: 638px;
    $c-select-height: 40px;
    $c-select-icon-width: 29px;

    width: $c-select-width;
    height: $c-select-height;
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        height: $c-select-height;
        width: $c-select-icon-width;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c7-select {
    $c-select-height: 40px;
    height: $c-select-height;
    font-size: 16px;
    position: relative;
    &-remove {
        color: red;
        position: absolute;
        top: 0;
        right: -40px;
        z-index: 1000;
        font-size: 22px;
        line-height: 40px;
        cursor: pointer;
        width: 40px;
        height: 40px;
        text-align: center;
    }
    &-icon {
        $c-select-icon-width: 29px;
        width: $c-select-icon-width;
        height: $c-select-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }

    
}

.c7-select-not-arrow {

    .select2-selection {

        &__arrow {
            display: none;
        }
    }
}

.c8-select {
    $c-select-height: 40px;
    height: $c-select-height;
    font-size: 16px;
    position: relative;
    width: 233px;

    &-icon {
        $c-select-icon-width: 29px;
        width: $c-select-icon-width;
        height: $c-select-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}

.c9-select {
    $c-select-width: 234px;
    $c-select-height: 50px;
    width: $c-select-width;
    height: $c-select-height;
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        $c-select-icon-height: 37px;
        height: $c-select-height;
        width: $c-select-icon-height;
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .new-select2 {
        height: $c-select-height !important;
    }

    .select2-selection {
        height: $c-select-height !important;
        border: 1px solid #ced4da !important;

        &__rendered {
            line-height: $c-select-height !important;
        }

        &__arrow {
            height: $c-select-height !important;
        }
    }
}


.c10-select {
    color: #000000;
    font-size: 16px;
    position: relative;

    &-icon {
        position: absolute;
        top: 0;
        right: 0;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        pointer-events: none;
        background: #C1C1C1;
        display: flex;
    }

    &-icon-img {
        margin: auto;
    }

    .select2-selection {
        border: 1px solid #ced4da !important;

    }
}

.c10-select-size {
    $c10-select-size-width: 100%;
    $c10-select-size-height: 50px;
    width: $c10-select-size-width;
    height: $c10-select-size-height;

    &-icon {
        $c10-select-size-icon-height: 37px;
        height: $c10-select-size-height;
        width: $c10-select-size-icon-height;
    }

    .select2 {
        height: $c10-select-size-height !important;
    }

    .select2-selection {
        height: $c10-select-size-height !important;

        &__rendered {
            line-height: $c10-select-size-height !important;
        }

        &__arrow {
            height: $c10-select-size-height !important;
        }
    }
}

// select::-ms-expand {
//     display: none;
// }
